#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai1_18.INP");
    ofstream f2("bai1_18.OUT");
int a[100000];


int main()
{ int n,k,i=1,dem=0,j;
  f1>>n>>k;
  while (i<=n)
  {for (j=1;j<=n/i;j++)
  {a[i*j]++;}
  i++;}
  for (i=1;i<=n;i++)
  {if (a[i]==k)
  dem++;
  }
  f2<<dem;}
  


